Using the SNiFF+ IDL Parser without SNiFF+

To check the syntax of an IDL file, you can launch the SNiFF+ IDL Parser independently of your SNiFF+ session on the command line interface. Note that this is the only way to use the SNiFF+ IDL Parser independently of a SNiFF+ session.
To run the SNiFF+ IDL Parser, enter the following from the command line interface:

sniffidl [options] <name_of_idl_file>
You can include one or more of the following options when running sniffidl:
-h[elp] message with command line syntax and options is printed
-v[ersion] version number of sniffidl is printed
-e<file> errors and warnings found during parsing are written to <file>